﻿using System;
using System.Windows.Forms;

using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid.Grouping;
using System.Drawing;

namespace CustomSummary
{
    public partial class Form1 : Form
    {
        private readonly DataCollection _items = new DataCollection();

        public Form1()
        {
            LoadItems();
            InitializeComponent();
           
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'nWINDDataSet.Order_Details_Extended' table. You can move, or remove it, as needed.
            //order_Details_ExtendedTableAdapter.Fill(nWINDDataSet.Order_Details_Extended);

            dataCollectionBindingSource.DataSource = _items;
            this.gridGroupingControl1.TableDescriptor.Appearance.AnyHeaderCell.BackColor = Color.Red;
            this.gridGroupingControl1.QueryCellStyleInfo += new GridTableCellStyleInfoEventHandler(gridGroupingControl1_QueryCellStyleInfo);
        }

        void gridGroupingControl1_QueryCellStyleInfo(object sender, GridTableCellStyleInfoEventArgs e)
        {
            if (e.TableCellIdentity.Column != null && e.TableCellIdentity.TableCellType == GridTableCellType.ColumnHeaderCell)
            {
                e.Style.Themed = false;
                e.Style.BackColor = Color.Red;
                e.Style.Font.Bold = true;
                e.Style.Font.Orientation = 180;
            }
        }
        private void LoadItems()
        {
            for (int i = 0; i < 10; i++)
            {
                _items.Add(new DataItem(i, "test " + i, "summaryvalue" + i));
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            dataCollectionBindingSource.DataSource = null;
            //this.gridGroupingControl1.DataSource = null;
        }

    }
}